Subject: Re: security.cc: bug report, question and suggestion
From: Corinna Vinschen <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Thu, 24 Jan 2002 21:57:29 +0100

On Thu, Jan 24, 2002 at 02:56:49PM -0500, Pierre A. Humblet wrote:
> Corinna Vinschen wrote:
> 
> > However, I've just checked in a change which should create a useful
> > DACL for the primary token created by DuplicateTokenEx() in the
> > create_token() function.  It uses the function `sec_user()' which I
> > once introduced to set security attributes for CreateProcess calls,
> > etc.  Could you test if it now behaves as you'd expect?
> 
> Corinna,
> 
> It doesn't seem to do anything (see attach). What does it do for you?
> I am pretty sure (used gdb) that I am running your latest code. NT4.0

Sorry but I don't see what you've tested.  The patch should address
your problem with the access rights of the impersonation token.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/